# Transaction and 3D-Secure status

### **Transaction status**

<table><thead><tr><th width="160">status</th><th>Description</th></tr></thead><tbody><tr><td>OK</td><td>The transaction is successfully.</td></tr><tr><td>FAILED</td><td>The transaction has failed.</td></tr><tr><td>CREATED</td><td><p>The transaction is just registered in the system.</p><p></p><p>The Merchant has received the <em>intermediate response</em> from <strong>maib ecomm</strong> (<em>payId/payUrl</em>), but the Customer has not yet made the payment on the <strong>maib ecomm checkout</strong> page.</p></td></tr><tr><td>PENDING</td><td><p>The transaction is not completed yet.</p><p></p><p>For <em>savecard-recurring/savecard-oneclick</em> endpoints without <em>amount</em> parameter: card details have been successfully saved in the <strong>maib ecomm</strong>.</p></td></tr><tr><td>DECLINED</td><td>The transaction is declined by <strong>maib ecomm</strong>.</td></tr><tr><td>TIMEOUT</td><td><p>The transaction was timed out (10 minutes from receiving the <em>intermediate response</em>).</p><p></p><p>The Merchant has received the <em>intermediate response</em> from <strong>maib ecomm</strong> (<em>payId/payUrl</em>), but the Customer has not made the payment on the <strong>maib ecomm checkout</strong> page within the time allotted for the transaction.</p></td></tr></tbody></table>

### 3D-Secure Authentication

<table><thead><tr><th width="236.5">threeDs</th><th>Description</th></tr></thead><tbody><tr><td>AUTHENTICATED</td><td>The 3DS authentication process has been successfully completed and the identity of the cardholder has been verified.</td></tr><tr><td>NOT_AUTHENTICATED</td><td>The 3DS authentication process was not completed or the identity of the cardholder could not be verified.</td></tr><tr><td>UNAVAILABLE</td><td>The 3DS authentication service is currently unavailable and the authentication process cannot be initiated.</td></tr><tr><td>ATTEMPTED</td><td>An attempt was made to authenticate the transaction, but the authentication process could not be completed. This can be caused by technical issues or errors during the authentication flow.</td></tr><tr><td>REJECTED</td><td>Card issuer rejected authentication. For more information contact the card issuer.</td></tr><tr><td>SKIPPED</td><td>Authentication was skipped based on dynamic 3D Secure rules.</td></tr><tr><td>NOTPARTICIPATED</td><td>The card issuer has not enrolled the card in the 3D Secure program.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.maibmerchants.md/e-commerce/transaction-and-3d-secure-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
